﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SilverlightApplication3
{
    public class BusinessItem
    {
        public string Header { get; set; }
        public ObservableCollection<Option> Options { get; set; }
        public ObservableCollection<BusinessContent> Contents { get; set; }

        public BusinessItem()
        {
            Options = new ObservableCollection<Option>();
            Contents = new ObservableCollection<BusinessContent>();
        }

    }
    public class Option
    {
        public string Title { get; set; }
        public DelegateCommand OptionCommand { get; set; }

        public Option()
        {
            OptionCommand = new DelegateCommand((p) => this.OptionAction(p));
        }

        private void OptionAction(object param)
        {

        }
    }
    public class BusinessContent
    {
        public string Title { get; set; }
        public string Description { get; set; }
    }

}
