﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightApplication3
{
    public class MainViewModel
    {
        public ObservableCollection<BusinessItem> Items { get; set; }

        public MainViewModel()
        {
            Items = new ObservableCollection<BusinessItem>();
            for (int i = 0; i < 5; i++)
            {
                BusinessItem item = new BusinessItem() { Header = String.Format("Item {0}", i) };
                for (int k = 0; k < 4; k++)
                {
                    item.Options.Add(new Option() { Title = String.Format("Option {0}.{1}", i, k) });
                }
                item.Contents.Add(new BusinessContent
                {
                    Title = String.Format("Item {0} Content", i),
                    Description = String.Format("Description of Item {0} Content", i)
                });
                Items.Add(item);
            }
        }
    }
}
